com.verisign.epp.codec.verificationcode

## Class RevokedVerificationCode

- java.lang.Object
- - com.verisign.epp.codec.verificationcode.RevokedVerificationCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class RevokedVerificationCode
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A revoked verification code that includes the attributes:
  - Revoked verification code.
  - Revocation datetime in UTC of the verification code.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokedVerificationCode()` Default constructor.
    `RevokedVerificationCode(java.lang.String aCode, java.util.Date aRevokedDate)` Constructor that takes the required `code` and `revokedDate` attribute values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `RevokedVerificationCode`.
    `void` | `decode(java.lang.String aLine)`
    `java.lang.String` | `encode()` Encodes the revoked verification code attributes into a revoked verification code line.
    `boolean` | `equals(java.lang.Object aObject)` Implements a deep `RevokedVerificationCode` compare.
    `java.lang.String` | `getCode()` Gets the revoked verification code value.
    `java.util.Date` | `getRevokedDate()` Gets the revocation datetime of the signed mark.
    `void` | `setCode(java.lang.String aCode)` Sets the revoked verification code value.
    `void` | `setRevokedDate(java.util.Date aRevokedDate)` Sets the revocation datetime of the signed mark.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in encoding the revoked verification code attributes into a revoked verification code line.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokedVerificationCode

          public RevokedVerificationCode()

      Default constructor. The `code` and the `revokedDate` attributes must be set prior to calling `encode()`.

    - #### RevokedVerificationCode

          public RevokedVerificationCode(java.lang.String aCode,
                                         java.util.Date aRevokedDate)

      Constructor that takes the required `code` and `revokedDate` attribute values.
      Parameters:
        `aCode` - Verification code
        `aRevokedDate` - Revocation datetime of the verification code.

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Gets the revoked verification code value.
      Returns:
        Revoked verification code value.

    - #### setCode

          public void setCode(java.lang.String aCode)

      Sets the revoked verification code value.
      Parameters:
        `aCode` - Verification code value

    - #### getRevokedDate

          public java.util.Date getRevokedDate()

      Gets the revocation datetime of the signed mark.
      Returns:
        Revocation datetime of the signed mark.

    - #### setRevokedDate

          public void setRevokedDate(java.util.Date aRevokedDate)

      Sets the revocation datetime of the signed mark.
      Parameters:
        `aRevokedDate` - Revocation datetime of the signed mark.

    - #### encode

          public java.lang.String encode()
                                  throws EPPEncodeException

      Encodes the revoked verification code attributes into a revoked verification code line.
      Returns:
        Encoded revoked verification code line
      Throws:
        `EPPEncodeException` - Error encoding the verification code line.

    - #### decode

          public void decode(java.lang.String aLine)
                      throws EPPDecodeException

      Throws:
        `EPPDecodeException`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `RevokedVerificationCode`.
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `RevokedVerificationCode`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Implements a deep `RevokedVerificationCode` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `RevokedVerificationCode` instance to compare with
      Returns:
        `true` if equal `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in encoding the revoked verification code attributes into a revoked verification code line. If there is an error encoding the verification code line, a `RuntimeException` is thrown.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Encoded revoked verification code line